        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE HALLQI__genmod
          INTERFACE 
            SUBROUTINE HALLQI(Z,Y2,Y4,Y6,Q1,Q2,Q3)
              REAL(KIND=4) :: Z
              REAL(KIND=4) :: Y2
              REAL(KIND=4) :: Y4
              REAL(KIND=4) :: Y6
              REAL(KIND=4) :: Q1
              REAL(KIND=4) :: Q2
              REAL(KIND=4) :: Q3
            END SUBROUTINE HALLQI
          END INTERFACE 
        END MODULE HALLQI__genmod
